[Junior Job] Open on remote device
Open, Needs TriagePublic

Description

I had a talk with @vkrause about integrating itinerary with KDE Connect to send boarding passes to the phone and open them in itinerary. Then we thought about making this generic and allow to open arbitrary files on the remote device using Intents for Android and xdg-open on the desktop.

Implementation could be part of the SharePlugin or in a standalone plugin.

Note that I'm talking about opening, not executing files.

nicolasfella added a subscriber: KDE Connect.
apol added a subscriber: apol.May 7 2018, 4:08 PM

Sure, it's a matter of installing the right desktop file.

nicolasfella renamed this task from Open on remote device to [Junior Job] Open on remote device.May 10 2018, 4:09 PM
nicolasfella moved this task from Ideas to Junior Jobs on the KDE Connect board.May 10 2018, 4:15 PM
alex-l added a subscriber: alex-l.May 13 2018, 12:43 PM
fpersson claimed this task.May 14 2018, 8:10 PM
fpersson added a subscriber: fpersson.

Hello,

I like to work on this one. It will be a standalone plugin, but i will reuse much as possible from the SharePlugin.

apol added a comment.May 14 2018, 11:58 PM

You don't need to touch the SharePlugin, just create a desktop file that specifies the mimetype required that will call "kdeconnect-handler".

You can copy urlhandler/org.kde.kdeconnect.telhandler.desktop and adapt it to do that.
Maybe kdeconnect-handler UI could/should be extended but the desktop file is definitely the first step.

How's it going, do you need any help?

MatMaul added a subscriber: MatMaul.Jun 3 2018, 5:17 PM
albertvaka closed this task as Resolved.Nov 5 2018, 10:41 AM
nicolasfella reopened this task as Open.Nov 5 2018, 12:13 PM

Not so fast, there is still D15294 for review and some more things to do